curl "https://kodostatus.com/api/v1/status-pages/550e8400-e29b-41d4-a716-446655440000/template" \
-H "X-API-Key: your_api_key"
{
"template": "<div class=\"status-header\">{{page.name}}</div>...",
"updated_at": "2026-02-20T14:30:00.000Z"
}
Status Pages
Get Custom Template
Retrieve the custom HTML template for a status page
GET
/
status-pages
/
{id}
/
template
curl "https://kodostatus.com/api/v1/status-pages/550e8400-e29b-41d4-a716-446655440000/template" \
-H "X-API-Key: your_api_key"
{
"template": "<div class=\"status-header\">{{page.name}}</div>...",
"updated_at": "2026-02-20T14:30:00.000Z"
}
Path Parameters
string
required
The status page ID
Response
string
The custom HTML template content
string
ISO 8601 timestamp of the last template update
curl "https://kodostatus.com/api/v1/status-pages/550e8400-e29b-41d4-a716-446655440000/template" \
-H "X-API-Key: your_api_key"
{
"template": "<div class=\"status-header\">{{page.name}}</div>...",
"updated_at": "2026-02-20T14:30:00.000Z"
}